Warning, /plasma-mobile/audiotube/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 # SPDX-FileCopyrightText: 2021 Jonah BrĂ¼chert <jbb@kaidan.im>
0002 #
0003 # SPDX-License-Identifier: BSD-2-Clause
0004 
0005 cmake_minimum_required(VERSION 3.16.0)
0006 
0007 project(audiotube)
0008 
0009 include(FeatureSummary)
0010 
0011 set(PROJECT_VERSION "22.09")
0012 set(QT5_MIN_VERSION 5.15)
0013 set(KF5_MIN_VERSION 5.81)
0014 
0015 set(CMAKE_CXX_STANDARD 20)
0016 set(CMAKE_CXX_STANDARD_REQUIRED ON)
0017 
0018 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
0019 
0020 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
0021 
0022 include(KDEInstallDirs)
0023 include(KDECMakeSettings)
0024 include(KDECompilerSettings NO_POLICY_SCOPE)
0025 include(ECMSetupVersion)
0026 include(ECMGenerateHeaders)
0027 include(ECMPoQmTools)
0028 
0029 ecm_setup_version(${PROJECT_VERSION}
0030     VARIABLE_PREFIX AUDIOTUBE
0031     VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
0032 )
0033 
0034 kde_enable_exceptions()
0035 
0036 find_package(Qt5 ${QT5_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg Sql)
0037 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 I18n CoreAddons Crash)
0038 find_package(pybind11 REQUIRED)
0039 find_package(Ytdlp REQUIRED RUNTIME)
0040 find_package(YTMusicAPI REQUIRED RUNTIME)
0041 
0042 ki18n_install(po)
0043 
0044 add_subdirectory(src)
0045 
0046 install(PROGRAMS org.kde.audiotube.desktop DESTINATION ${KDE_INSTALL_APPDIR})
0047 install(FILES org.kde.audiotube.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
0048 install(FILES org.kde.audiotube.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
0049 
0050 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)